# $Revision: 1.22 $, $Date: 2004/05/06 18:01:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include        /usr/lib/rpm/macros.perl
Summary:	perl-Mon module
Summary(pl):	Modu perla Mon
Name:		perl-Mon
version:	0.11
Release:	6
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mon/Mon-%{version}.tar.gz
# Source0-md5:	762a8c6f845f8f1482a696e6f95f4492
URL:		http://www.kernel.org/software/mon/
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Perl5 module for interfacing with the Mon system
monitoring package. Currently only the client interface is
implemented, but more things like special logging routines and
persistent monitors are being considered.

%description -l pl
To jest modu perla do komunikacji z systemem monitorujcym Mon.
Aktualnie zaimplementowany jest tylko interfejs klienta.

%prep
%setup -q -n Mon-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/Mon
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mon.spec,v $
Revision 1.22  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.21  2004/04/24 14:52:16  ankry
- license fixes / unification

Revision 1.20  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/08/12 15:08:19  qboosh
- cleanups, mainly in preambles

Revision 1.18  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.15  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.14  2003/02/18 15:36:57  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/07/27 20:38:32  kloczek
- release 5.

Revision 1.12  2002/07/25 17:10:43  radek
- _now_ moved %clean

Revision 1.11  2002/07/25 10:36:32  radek
- new %doc
- moved %clean before %files, as in other perl specs

Revision 1.10  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/03/03 21:41:29  marcus
- rel.4.

Revision 1.8  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/10 15:29:40  depesz
adapterized

Revision 1.6  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.5  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/07 15:08:55  qboosh
- pl translations, release 3

Revision 1.3  2001/09/11 12:43:15  mis
- fixed file list, BuildArch is noarch, release 2

Revision 1.2  2001/08/31 14:23:52  kloczek
- final cleanups.

Revision 1.1  2001/08/31 14:18:17  areq
- init PLD version
